from paver.easy import *
from paver.setuputils import setup


README = path.getcwd()/'README'
SETUP_ARGS = Bunch(
    name='OneTimePad',
    version='0.1.0',
    author='Dan Buch',
    author_email='daniel.buch@gmail.com',
    url='http://github.com/meatballhat/OneTimePad',
    description='like so: http://en.wikipedia.org/wiki/One-time_pad',
    long_description=README.bytes(),
    py_modules=['onetimepad'],
    license='MIT',
    platforms=['any'],
)


setup(**SETUP_ARGS)


@task
@needs(['generate_setup', 'minilib', 'setuptools.command.sdist'])
def sdist():
    pass
